Bug 1269512 - sss_override: memory violation
Summary: sss_override: memory violation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-07 13:07 UTC by Pavel Březina
Modified: 2020-05-02 18:11 UTC (History)
9 users (show)

Fixed In Version: sssd-1.14.0-0.1.alpha.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:12:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3867 0 None None None 2020-05-02 18:11:47 UTC
Red Hat Product Errata RHEA-2016:2476 0 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Pavel Březina 2015-10-07 13:07:13 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2826

We are accessing freed memory when working with user-export and group-export.

Comment 2 Mike McCune 2016-03-28 23:36:13 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Dan Lavu 2016-09-19 19:25:55 UTC
Verified against sssd-client-1.14.0-42.el7.x86_64

[root@dell-per230-02 ~]# sss_override  user-add  -n admin Administrator@sssdad2012r2.com 
SSSD needs to be restarted for the changes to take effect.
[root@dell-per230-02 ~]# service sssd restart

[root@dell-per230-02 ~]# sss_override  user-export users

[root@dell-per230-02 ~]# cat users
Administrator@sssdad2012r2.com:admin::::::

[root@dell-per230-02 ~]# sss_override -n group-add -n sssd "domain users@sssdad2012r2.com" 

[root@dell-per230-02 ~]# sss_override group-export group

[root@dell-per230-02 ~]# cat group 
Domain Users@sssdad2012r2.com:sssd:

Comment 8 errata-xmlrpc 2016-11-04 07:12:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.